<?php
/**
 * Fondness Pro: Color Patterns
 *
 * @package WordPress
 * @subpackage Fondness Pro
 * @since 1.0
 */

/**
 * Generate the CSS for the current custom color scheme.
 */
function fondness_pro_custom_colors_css() {
  	$options= fondness_pro_get_theme_options();

	$color_value = $options['colorscheme_hue'];
	
	$css = '
	.backtotop,
	button,
	input[type="button"],
	input[type="reset"],
	input[type="submit"],
	.menu-toggle:hover,
	.menu-toggle:focus,
	.pagination .page-numbers.current,
	.pagination .page-numbers:hover,
	.pagination .page-numbers:focus,
	#secondary .jetpack_subscription_widget input[type="submit"]:hover,
	#secondary .jetpack_subscription_widget input[type="submit"]:focus,
	.author-name:after,
	.reply a,
	.separator,
	.slick-prev:hover,
	.slick-next:hover,
	.slick-prev:focus,
	.slick-next:focus,
	.slick-dots li.slick-active button,
	.single-wrapper .entry-meta > span.tags-links a:hover,
	.single-wrapper .entry-meta > span.tags-links a:focus,
	.featured-content-wrapper .btn,
	.btn:hover, 
	.btn:focus,
	#subscribe-now button[type="submit"],
	.jetpack_subscription_widget input[type="submit"]:hover,
	#blog-popular-posts .cat-links a,
	.featured-content-wrapper .btn.transparent:hover, 
	.featured-content-wrapper .btn.transparent:focus { 
		background-color: ' . esc_attr($color_value) . '; 
	}';

	$css .= '
	a,
	.site-title a:hover,
	.site-title a:focus,
	.main-navigation ul#primary-menu li.current-menu-item > a,
	.main-navigation ul#primary-menu li:hover > a,
	.main-navigation ul#primary-menu li:focus > a,
	.main-navigation a:hover,
	.main-navigation a:focus,
	.main-navigation ul.nav-menu > li > a:hover,
	.main-navigation ul.nav-menu > li > a:focus,
	.main-navigation ul#primary-menu li.current-menu-item > a, 
	.main-navigation ul#primary-menu li:hover > a, 
	.main-navigation ul#primary-menu li:focus > a, 
	.main-navigation ul#primary-menu li > a:focus, 
	.main-navigation ul#primary-menu .focus > a,
	.post-navigation a, 
	.posts-navigation a,
	.navigation.post-navigation a:hover,
	.navigation.posts-navigation a:hover,
	.navigation.post-navigation a:focus,
	.navigation.posts-navigation a:focus,
	.widget_popular_post h3 a:hover,
	.widget_popular_post h3 a:focus,
	.widget_popular_post a:hover time,
	.widget_popular_post a:focus time,
	.widget_latest_post h3 a:hover,
	.widget_latest_post h3 a:focus,
	.widget_latest_post a:hover time,
	.widget_latest_post a:focus time,
	.widget_featured_courses .course-wrapper h5 a:hover,
	.widget_featured_courses .course-wrapper h5 a:focus,
	.widget_featured_courses .tp-course-price,
	.widget_popular_courses .course-wrapper h5 a:hover,
	.widget_popular_courses .course-wrapper h5 a:focus,
	.widget_popular_courses .tp-course-price,
	#secondary .cat-links a,
	#secondary a:hover,
	#secondary a:focus,
	.page-header small,
	.single-wrapper span.tags-links a:hover,
	.single-wrapper span.tags-links a:focus,
	.section-title a:hover,
	.section-title a:focus,
	.entry-title a:hover,
	.entry-title a:focus,
	.section-subtitle,
	#about-us .entry-title a:hover,
	#about-us .entry-title a:focus,
	#latest-posts .entry-title a:hover,
	#latest-posts .entry-title a:focus,
	#latest-posts .posted-on a:hover,
	#latest-posts .posted-on a:focus,
	.archive-blog-wrapper .posted-on a:hover,
	.archive-blog-wrapper .posted-on a:focus,
	.entry-meta span:not(:last-child):after,
	ul.post-categories li a,
	#colophon a:hover,
	#colophon a:focus,
	#colophon .site-info a,
	.slider-subtitle,
	.featured-content-wrapper .entry-title a:hover,
	.featured-content-wrapper .entry-title a:focus,
	.section-content span,
	ul.post-categories li a, .posted-on a,
	#our-menus .price,
	.dark-version .featured-content-wrapper .slider-subtitle,
	.archive-blog-wrapper .posted-on a,
	.dark-version #colophon a:hover, 
	.dark-version #colophon a:focus,
	.dark-version #colophon .site-info a:hover, 
	.dark-version #colophon .site-info a:focus,
	.dark-version #secondary a:hover, 
	.dark-version #secondary a:focus,
	.dark-version .single-wrapper a:hover, 
	.dark-version .single-wrapper a:focus,
	.dark-version .archive-blog-wrapper .posted-on a:hover, 
	.dark-version .archive-blog-wrapper .posted-on a:focus,
	.dark-version .archive-blog-wrapper .entry-title a:hover {
		color: ' . esc_attr($color_value) . '; 
	}';

	$css .= '
	.loader-container svg,
	.main-navigation ul#primary-menu li:hover > svg,
	.main-navigation ul#primary-menu li:focus > svg,
	.main-navigation li.menu-item-has-children:hover > a > svg,
	.main-navigation li.menu-item-has-children > a:hover > svg,
	.main-navigation li.menu-item-has-children > a:focus > svg,
	.main-navigation ul#primary-menu > li.current-menu-item > a > svg,
	.main-navigation ul.nav-menu > li > a.search:hover svg.icon-search,
	.main-navigation ul.nav-menu > li > a.search:focus svg.icon-search,
	.main-navigation li.search-menu a:hover svg,
	.main-navigation li.search-menu a:focus svg,
	.main-navigation li.search-menu a.search-active svg,
	.navigation.post-navigation a:hover svg,
	.navigation.posts-navigation a:hover svg,
	.navigation.post-navigation a:focus svg,
	.navigation.posts-navigation a:focus svg,
	.widget_search form.search-form button.search-submit:hover svg,
	.widget_search form.search-form button.search-submit:focus svg,
	.single-wrapper span.posted-on svg,
	.single-wrapper span.cat-links svg,
	.more-link a svg { 
		fill: ' . esc_attr($color_value) . '; 
	}';

	$css .= '
	button,
	input[type="button"],
	input[type="reset"],
	input[type="submit"],
	.pagination .page-numbers.current,
	.pagination .page-numbers:hover,
	.pagination .page-numbers:focus,
	.single-wrapper span.tags-links a:hover,
	.single-wrapper span.tags-links a:focus,
	.reply a,
	.btn,
	.slick-prev:hover,
	.slick-next:hover,
	.slick-prev:focus,
	.slick-next:focus,
	.slick-dots li button,
	#testimonial-section .slick-arrow:hover,
	#testimonial-section .slick-arrow:focus,
	#subscribe-now button[type="submit"],
	.wp-travel-search input[type="submit"],
	.single-wrapper .entry-meta > span.tags-links a:hover,
	.single-wrapper .entry-meta > span.tags-links a:focus,
	.featured-content-wrapper .btn:hover, 
	.featured-content-wrapper .btn:focus,
	.btn:hover, 
	.btn:focus,
	.jetpack_subscription_widget input[type="submit"],
	.jetpack_subscription_widget input[type="submit"]:hover,
	.medical-featured-item .entry-header { 
		border-color: ' . esc_attr($color_value) . '; 
	}';


	$css .= '
	@keyframes preloader {
	    0% {height:5px;transform:translateY(0px);background: ' . esc_attr($color_value) . ';}
	    25% {height:30px;transform:translateY(15px);background: ' . esc_attr($color_value) . ';}
	    50% {height:5px;transform:translateY(0px);background: ' . esc_attr($color_value) . ';}
	    100% {height:5px;transform:translateY(0px);background: ' . esc_attr($color_value) . ';}
	}';

	/**
	 * Filters Fondness Pro custom colors CSS.
	 *
	 * @since Fondness Pro 1.0.0
	 *
	 * @param string $css        Base theme colors CSS.
	 */
	return apply_filters( 'fondness_pro_custom_colors_css', $css );
}