<?php
/**
 * Instagram Section options
 *
 * @package Theme Palace
 * @subpackage Fondness Pro
 * @since Fondness Pro 1.0.0
 */

// Add Instagram section
$wp_customize->add_section( 'fondness_pro_instagram_section', array(
	'title'             => esc_html__( 'Instagram','fondness-pro' ),
	'description'       => sprintf( fondness_pro_santize_allow_tag('Instagram Section options. <a href="%1$s">click here </a> to link instagram account', 'fondness-pro'), admin_url( $paths = '?page=sb-instagram-feed', $scheme = 'admin' ) ),
	'panel'             => 'fondness_pro_front_page_panel',
	'active_callback'	=>  function( $control ) {
        return ( 
        	fondness_pro_is_default_layout( $control )
            ||
            fondness_pro_is_fifth_layout( $control )
            ||
            fondness_pro_is_all_layout( $control )
        );
    },
) );

// Instagram content enable control and setting
$wp_customize->add_setting( 'fondness_pro_theme_options[instagram_section_enable]', array(
	'default'			=> 	$options['instagram_section_enable'],
	'sanitize_callback' => 'fondness_pro_sanitize_switch_control',
) );

$wp_customize->add_control( new Fondness_Pro_Switch_Control( $wp_customize, 'fondness_pro_theme_options[instagram_section_enable]', array(
	'label'             => esc_html__( 'Instagram Section Enable', 'fondness-pro' ),
	'section'           => 'fondness_pro_instagram_section',
	'on_off_label' 		=> fondness_pro_switch_options(),
) ) );

if ( isset( $wp_customize->selective_refresh ) ) {
    $wp_customize->selective_refresh->add_partial( 'fondness_pro_theme_options[instagram_section_enable]', array(
		'selector'            => '#instagram .tooltiptext',
		'settings'            => 'fondness_pro_theme_options[instagram_section_enable]',
    ) );
}