<?php
/**
 * Archive options
 *
 * @package Theme Palace
 * @subpackage Fondness Pro
 * @since Fondness Pro 1.0.0
 */

// Add archive section
$wp_customize->add_section( 'fondness_pro_archive_section', array(
	'title'             => esc_html__( 'Blog/Archive','fondness-pro' ),
	'description'       => esc_html__( 'Archive section options.', 'fondness-pro' ),
	'panel'             => 'fondness_pro_theme_options_panel',
) );

$wp_customize->add_setting( 'fondness_pro_theme_options[hide_banner]', array(
	'default'           => $options['hide_banner'],
	'sanitize_callback' => 'fondness_pro_sanitize_switch_control',
) );

$wp_customize->add_control( new Fondness_Pro_Switch_Control( $wp_customize, 'fondness_pro_theme_options[hide_banner]', array(
	'label'             => esc_html__( 'Hide Banner', 'fondness-pro' ),
	'section'           => 'fondness_pro_archive_section',
	'on_off_label' 		=> fondness_pro_hide_options(),
) ) );

// Archive date meta setting and control.
$wp_customize->add_setting( 'fondness_pro_theme_options[hide_date]', array(
	'default'           => $options['hide_date'],
	'sanitize_callback' => 'fondness_pro_sanitize_switch_control',
) );

$wp_customize->add_control( new Fondness_Pro_Switch_Control( $wp_customize, 'fondness_pro_theme_options[hide_date]', array(
	'label'             => esc_html__( 'Hide Date', 'fondness-pro' ),
	'section'           => 'fondness_pro_archive_section',
	'on_off_label' 		=> fondness_pro_hide_options(),
) ) );

// Archive date meta setting and control.
$wp_customize->add_setting( 'fondness_pro_theme_options[hide_category]', array(
	'default'           => $options['hide_category'],
	'sanitize_callback' => 'fondness_pro_sanitize_switch_control',
) );

$wp_customize->add_control( new Fondness_Pro_Switch_Control( $wp_customize, 'fondness_pro_theme_options[hide_category]', array(
	'label'             => esc_html__( 'Hide Category', 'fondness-pro' ),
	'section'           => 'fondness_pro_archive_section',
	'on_off_label' 		=> fondness_pro_hide_options(),
) ) );

// features content type control and setting
$wp_customize->add_setting( 'fondness_pro_theme_options[blog_page_column]', array(
	'default'          	=> $options['blog_page_column'],
	'sanitize_callback' => 'fondness_pro_sanitize_select',
) );

$wp_customize->add_control( 'fondness_pro_theme_options[blog_page_column]', array(
	'label'             => esc_html__( 'Column Layout', 'fondness-pro' ),
	'section'           => 'fondness_pro_archive_section',
	'type'				=> 'select',
	'choices'			=> array( 
		'col-1'		=> esc_html__( 'One Column', 'fondness-pro' ),
		'col-2'		=> esc_html__( 'Two Column', 'fondness-pro' ),
	),
) );

// Blog btn label setting and control
$wp_customize->add_setting( 'fondness_pro_theme_options[blog_page_post_btn]', array(
	'sanitize_callback' => 'sanitize_text_field',
	'default'			=> $options['blog_page_post_btn'],
) );

$wp_customize->add_control( 'fondness_pro_theme_options[blog_page_post_btn]', array(
	'label'           	=> esc_html__( 'Blog Post Button', 'fondness-pro' ),
	'section'        	=> 'fondness_pro_archive_section',
	'type'				=> 'text',
) );


