<?php
/**
 * Breadcrumb options
 *
 * @package Theme Palace
 * @subpackage Fondness Pro
 * @since Fondness Pro 1.0.0
 */

$wp_customize->add_section( 'fondness_pro_breadcrumb', array(
	'title'             => esc_html__( 'Breadcrumb','fondness-pro' ),
	'description'       => esc_html__( 'Breadcrumb section options.', 'fondness-pro' ),
	'panel'             => 'fondness_pro_theme_options_panel',
) );

// Breadcrumb enable setting and control.
$wp_customize->add_setting( 'fondness_pro_theme_options[breadcrumb_enable]', array(
	'sanitize_callback' => 'fondness_pro_sanitize_switch_control',
	'default'          	=> $options['breadcrumb_enable'],
) );

$wp_customize->add_control( new Fondness_Pro_Switch_Control( $wp_customize, 'fondness_pro_theme_options[breadcrumb_enable]', array(
	'label'            	=> esc_html__( 'Enable Breadcrumb', 'fondness-pro' ),
	'section'          	=> 'fondness_pro_breadcrumb',
	'on_off_label' 		=> fondness_pro_switch_options(),
) ) );

// Breadcrumb separator setting and control.
$wp_customize->add_setting( 'fondness_pro_theme_options[breadcrumb_separator]', array(
	'sanitize_callback'	=> 'sanitize_text_field',
	'default'          	=> $options['breadcrumb_separator'],
) );

$wp_customize->add_control( 'fondness_pro_theme_options[breadcrumb_separator]', array(
	'label'            	=> esc_html__( 'Separator', 'fondness-pro' ),
	'active_callback' 	=> 'fondness_pro_is_breadcrumb_enable',
	'section'          	=> 'fondness_pro_breadcrumb',
) );
