<?php
/**
 * Footer options
 *
 * @package Theme Palace
 * @subpackage Fondness Pro
 * @since Fondness Pro 1.0.0
 */

// Footer Section
$wp_customize->add_section( 'fondness_pro_section_footer',
	array(
		'title'      			=> esc_html__( 'Footer Options', 'fondness-pro' ),
		'priority'   			=> 900,
		'panel'      			=> 'fondness_pro_theme_options_panel',
	)
);

// footer_section
$wp_customize->add_setting( 'fondness_pro_theme_options[footer_section]',
	array(
		'default'       		=> $options['footer_section'],
		'sanitize_callback' => 'fondness_pro_sanitize_switch_control',
	)
);
$wp_customize->add_control( new Fondness_Pro_Switch_Control( $wp_customize, 'fondness_pro_theme_options[footer_section]',
    array(
		'label'      			=> esc_html__( 'Footer Section', 'fondness-pro' ),
		'section'    			=> 'fondness_pro_section_footer',
		'on_off_label' 		=> fondness_pro_switch_options(),
    )
) );

// footer image setting and control.
$wp_customize->add_setting( 'fondness_pro_theme_options[footer_logo]', array(
	'sanitize_callback' => 'fondness_pro_sanitize_image'
	) );

$wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'fondness_pro_theme_options[footer_logo]',
	array(
		'label'       		=> esc_html__( 'Site Info Logo', 'fondness-pro' ),
		'section'     		=> 'fondness_pro_section_footer',
		) ) );

// scroll top visible
$wp_customize->add_setting( 'fondness_pro_theme_options[footer_menu]',
	array(
		'default'       		=> $options['footer_menu'],
		'sanitize_callback' => 'fondness_pro_sanitize_switch_control',
	)
);
$wp_customize->add_control( new Fondness_Pro_Switch_Control( $wp_customize, 'fondness_pro_theme_options[footer_menu]',
    array(
		'label'      			=> esc_html__( 'Footer Menu Enable', 'fondness-pro' ),
		'section'    			=> 'fondness_pro_section_footer',
		'on_off_label' 		=> fondness_pro_switch_options(),
    )
) );

// scroll top visible
$wp_customize->add_setting( 'fondness_pro_theme_options[footer_search]',
	array(
		'default'       		=> $options['footer_search'],
		'sanitize_callback' => 'fondness_pro_sanitize_switch_control',
	)
);
$wp_customize->add_control( new Fondness_Pro_Switch_Control( $wp_customize, 'fondness_pro_theme_options[footer_search]',
    array(
		'label'      			=> esc_html__( 'Footer Search Enable', 'fondness-pro' ),
		'section'    			=> 'fondness_pro_section_footer',
		'on_off_label' 		=> fondness_pro_switch_options(),		
		'active_callback'		=> 'fondness_pro_is_footer_menu',
    )
) );

// footer text
$wp_customize->add_setting( 'fondness_pro_theme_options[copyright_text]',
	array(
		'default'       		=> $options['copyright_text'],
		'sanitize_callback'		=> 'fondness_pro_santize_allow_tag',
		'transport'				=> 'postMessage',
	)
);
$wp_customize->add_control( 'fondness_pro_theme_options[copyright_text]',
    array(
		'label'      			=> esc_html__( 'Copyright Text', 'fondness-pro' ),
		'section'    			=> 'fondness_pro_section_footer',
		'type'		 			=> 'textarea',
		'active_callback'		=> 'fondness_pro_is_footer_Section_enable',
    )
);

// Abort if selective refresh is not available.
if ( isset( $wp_customize->selective_refresh ) ) {
    $wp_customize->selective_refresh->add_partial( 'fondness_pro_theme_options[copyright_text]', array(
		'selector'            => '.site-info span',
		'settings'            => 'fondness_pro_theme_options[copyright_text]',
		'container_inclusive' => false,
		'fallback_refresh'    => true,
		'render_callback'     => 'fondness_pro_copyright_text_partial',
    ) );
}

// scroll top visible
$wp_customize->add_setting( 'fondness_pro_theme_options[scroll_top_visible]',
	array(
		'default'       		=> $options['scroll_top_visible'],
		'sanitize_callback' => 'fondness_pro_sanitize_switch_control',
	)
);
$wp_customize->add_control( new Fondness_Pro_Switch_Control( $wp_customize, 'fondness_pro_theme_options[scroll_top_visible]',
    array(
		'label'      			=> esc_html__( 'Display Scroll Top Button', 'fondness-pro' ),
		'section'    			=> 'fondness_pro_section_footer',
		'on_off_label' 		=> fondness_pro_switch_options(),
    )
) );